// Link styles for Liferay web content and RSS portlet
.journal-content-article,
.portlet-rss,
.tgrep
	a
		@extend %link
		border-bottom: $border-width solid transparent

		+hover
			border-color: $link-hover-color

		> img
			vertical-align: bottom

	article,
	aside,
	details,
	figcaption,
	figure,
	footer,
	header,
	hgroup,
	menu,
	nav,
	section,
	main
		display: block

// Common styles for Liferay web content portlet
.journal-content-article,
.tgrep
	h1
		+heading(1)
		padding-top: $grid

		&:first-child
			padding-top: 0

	h2
		+heading(2)
		padding-top: $grid

		&:first-child
			padding-top: 0

	h1 + h2
		padding-top: 0

	h3,
	h4,
	h5,
	h6
		+heading(3)
		margin: 0 // .aui override

	h1,
	h2,
	p,
	table,
	ul,
	ol,
	form,
	blockquote,
	dl,
	address,
	audio,
	fieldset,
	figure,
	pre,
	video
		margin: 0 0 $line-height

	ol ol,
	ol ul,
	ul ol,
	ul ul
		margin: 0

	small
		font-size: .8125em // i.e. 13px with 16px base font size

	code,
	pre
		font-family: $font-family-code

	code
		color: $text-color // .aui override
		line-height: 1
		vertical-align: middle

	hr
		border: 0
		height: $border-width
		background: linear-gradient(to right, rgba(#000, 0), rgba(#000, .18), rgba(#000, 0))
		margin: ($line-height - $border-width) 0 $line-height

	em,
	i
		font-style: italic

	strong,
	b
		font-weight: bold

	small
		font-size: .8125em
		line-height: 1

	sub,
	sup
		font-size: .75em
		line-height: 0
		position: relative
		vertical-align: baseline

	sup
		top: -.5em

	sub
		bottom: -.25em

	table
		border-bottom: $border-width solid $border-color
		margin: 0 0 ($line-height - $border-width)
		width: 100%

	tr
		border-bottom: $border-width solid $border-color

	th,
	td,
	.table th,
	.table td
		line-height: inherit // .aui override
		padding: ($line-height / 2) .5em ($line-height / 2 - $border-width)
		text-align: left

	th
		font-weight: bold

// Additional content list styles
.journal-content-article
	ol,
	ul
		padding-left: $grid

	ol
		list-style: decimal outside

	ul
		list-style: disc outside

.tgrep
	ol,
	ul
		list-style: none

// Form styles for Liferay web content and web form portlet
.journal-content-article,
.portlet-body > form,
.tgrep
	legend
		+heading(2)
		border: 0
		margin-bottom: $grid

	label
		display: inline
		font-size: inherit
		line-height: inherit
		margin-bottom: 0

	// Need to specify element name and type for .aui override
	input[type=color]
	input[type=date],
	input[type=datetime],
	input[type=datetime-local],
	input[type=email],
	input[type=file],
	input[type=month],
	input[type=number],
	input[type=password],
	input[type=search],
	input[type=tel],
	input[type=text],
	input[type=time],
	input[type=url],
	input[type=week],
	select,
	textarea
		@extend %text-input
		margin: 0
		vertical-align: baseline

		label &
			margin-left: .5em

	input[type=number]
		width: 5em

	input[type=checkbox],
	input[type=radio],
		position: absolute
		visibility: hidden

		+ label:before
			color: $link-color
			width: 1em

			+hover
				color: $link-hover-color

	input[type=checkbox]
		+ label
			+icon('square-o')

		&:checked + label
			+icon('check-square-o')

	input[type=radio]
		+ label
			+icon('circle-o')

		&:checked + label
			+icon('dot-circle-o')

	// Bootstrap
	.control-group
		margin-bottom: $grid

		input[type=color]
		input[type=date],
		input[type=datetime],
		input[type=datetime-local],
		input[type=email],
		input[type=file],
		input[type=month],
		input[type=number],
		input[type=password],
		input[type=search],
		input[type=tel],
		input[type=text],
		input[type=time],
		input[type=url],
		input[type=week],
		select,
		textarea
			max-width: none
			width: 100%

	button,
	[type=button],
	[type=reset],
	[type=submit],
	.btn // Bootstrap
		@extend %button
